#!/bin/bash

el1='Si'
name=$el1
. ../environment.job

PWCOMMAND="$PREFIX $PWDIR/pw.x $SUFFIX"

mkdir results
cd results

let i=0

for a in `seq -s ' ' 9.8 0.1 10.65` ;
do
i=`expr $i + 1`
cat > $name.d$i <<EOF
 &control
    calculation = 'scf'
    prefix='silicon',
    pseudo_dir = '$PSEUDODIR',
    outdir='$TMPDIR'
 /
 &system    
    ibrav=  2, 
    celldm(1) =$a, 
    nat=  2, 
    ntyp= 1,
    ecutwfc =$ECUTWFC, 
    ecutrho =$ECUTRHO
 /
 &electrons
    conv_thr =  1.0d-8
 /
ATOMIC_SPECIES
 Si  28.086  Si.pz-n-kjpaw.UPF
ATOMIC_POSITIONS
 Si 0.00 0.00 0.00 
 Si 0.25 0.25 0.25 
K_POINTS AUTOMATIC
4 4 4 1 1 1 
EOF

$PWCOMMAND < $name.d$i >> $name.out$i

ener=`grep ! $name.out$i | cut -c 35- | cut -c -13`
echo $a $ener >> $name.dat

done

cat > inp <<EOF
au
fcc
4
$name.dat
$name.ev.out
EOF

$PWDIR/ev.x < inp > /dev/null

cd ..
